Google

Get a model

Get a model's name, limits and supported methods.

GET /google/v1beta/models/{modelsId}● Supported

Official Gemini API docs ↗

Request parameters

  • namestring必填

    path: Required. The resource name of the model. This name should match a model name returned by the `ListModels` method. Format: `models/{model}`

Returns

200

Errors follow the Gemini API format — see error codes

Response

HTTP 200

Successful response

application/json

NameTypeDescription
baseModelIdstringRequired. The name of the base model, pass this to the generation request. Examples: * `gemini-1.5-flash`
descriptionstringA short description of the model.
displayNamestringThe human-readable name of the model. E.g. "Gemini 1.5 Flash". The name can be up to 128 characters long and can consist of any UTF-8 characters.
inputTokenLimitintegerMaximum number of input tokens allowed for this model.
maxTemperaturenumberThe maximum temperature this model can use.
namestringRequired. The resource name of the `Model`. Refer to Model variants for all allowed values. Format: `models/{model}` with a `{model}` naming convention of: * "{base_model_id}-{version}" Examples: * `models/gemini-1.5-flash-001`
outputTokenLimitintegerMaximum number of output tokens available for this model.
supportedGenerationMethodsarray<string>The model's supported generation methods. The corresponding API method names are defined as Pascal case strings, such as `generateMessage` and `generateContent`.
temperaturenumberControls the randomness of the output. Values can range over `[0.0,max_temperature]`, inclusive. A higher value will produce responses that are more varied, while a value closer to `0.0` will typically result in less surprising responses from the model. This value specifies default to be used by the backend while making the call to the model.
thinkingbooleanWhether the model supports thinking.
topKintegerFor Top-k sampling. Top-k sampling considers the set of `top_k` most probable tokens. This value specifies default to be used by the backend while making the call to the model. If empty, indicates the model doesn't use top-k sampling, and `top_k` isn't allowed as a generation parameter.
topPnumberFor Nucleus sampling. Nucleus sampling considers the smallest set of tokens whose probability sum is at least `top_p`. This value specifies default to be used by the backend while making the call to the model.
versionstringRequired. The version number of the model. This represents the major version (`1.0` or `1.5`)